/*
|------------------------------------------------------------------------------------------
|------------------------------------------------------------------------------------------
| File Name			  : MicroBoltHelloWorld.h																					
| Author			    : Micromint, Inc.						
| Copyright       : Copyright  2005, Micromint, Inc.																	
| Creation Date		: 4/2/05																							
| Version			    : 1.00																																												
| Spaces per tab	:	2																									
| Description		  : Header file																																									 
| Revision			  :	Initial																																																						
|------------------------------------------------------------------------------------------
|------------------------------------------------------------------------------------------
*/

/*
|----------------------------------------------------
|     Function prototypes
|----------------------------------------------------
*/

void Uart0TxByte(unsigned char SerialByte); 
void SendSerialStringUart0(char SerialString[], char SendCarriageReturnLineFeed);

/*
|----------------------------------------------------
|     Defines
|----------------------------------------------------
*/ 

#define MICROBOLT_LED                 0x00400000        // On-board Test LED

#define P0_0_UART_0_TX                0x00000001;       // P0.0 alternate function UART0-TX

#define TRUE                          1
#define FALSE                         0
 
/*
|----------------------------------------------------
|     Baud rate definitions
|----------------------------------------------------
*/ 

#define BAUD_RATE_4800      208
#define BAUD_RATE_9600      96
#define BAUD_RATE_19200     48
#define BAUD_RATE_38400     24
#define BAUD_RATE_57600     16
#define BAUD_RATE_115200    8